<template>
    <div>
        <form @submit.prevent="login">
            <label for="email">
                Email:
            </label>
            <input id="email" name="email" type="email" v-model="email" value>

            <label for="password">
                Password:
            </label>
            <input id=password name="password" type="password" v-model="password" value>

            <button name="button" type="submit">
                Login
            </button>
            <p>{{error}}</p>
            <router-link to="/register">Don't have an account? Register.</router-link>
        </form>
    </div>
</template>

<script>
    export default {
        name: "LoginUser",
        data: () => ({
            email: '',
            password: '',
            error: null
        }),
        methods: {
            login() {
                this.$store.dispatch('login', {
                    email: this.email,
                    password: this.password
                }).then(() => {
                    this.$router.push({name: 'dashboard'})
                }).catch(err => {
                    this.error = err.response.data.error;
                })
            }
        }
    }
</script>

<style scoped>

</style>